RT_TBX_RECEIVE(8)

NAME
rt_tbx_receive - receive message unconditionally

SYNOPSIS
#include <rtai_sched.h>

int rt_tbx_receive(TBX *tbx, void *msg, int msg_size);

DESCRIPTION
rt_tbx_receive receives a message of msg_size bytes from the typed mailbox. tbx. The caller will be blocked until all bytes of the message arrive or an error occurs. msg points to a buffer provided by the caller.

RETURN VALUES
0 is returned in case of message regularly received, otherwise msg_size is returned. On failure a negative value is returned as described below.

ERRORS
-EINVAL tbx points to an invalid typed mailbox. -EMSGSIZE msg_size is bigger than the size of the entire mailbox.